=== debian/changelog ===
ipsvd (1.0.0-12) unstable; urgency=medium

  * QA upload.
  * Revert fakeroot workarounds, sbuild has been fixed.  (Closes: #1098859)
  * Fix FTBFS with GCC-15.  (Closes: #1096848)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Feb 2025 12:15:24 +0100

ipsvd (1.0.0-11) unstable; urgency=medium

  * QA upload.
  * Run more of the build under fakeroot.

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 11:39:28 +0000

ipsvd (1.0.0-10) unstable; urgency=medium

  * QA upload.
  * Run the tests under fakeroot since the previous attempt at fixing
    #1090184 did not work.
  * Restore `Rules-Requires-Root: no` since that revert did not fix
    anything.

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 10:02:42 +0000

ipsvd (1.0.0-9) unstable; urgency=medium

  * QA upload.
  * Revert to Rules-Requires-Root: binary-targets, rootless build does not
    work on the buildds due to getgroups()/setgroups() issues.
    (Closes: #1090184)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Dec 2024 05:46:22 +0100

ipsvd (1.0.0-8) unstable; urgency=medium

  * QA upload
  * Build with "Rules-Requires-Root: no" (Closes: #1089348)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 15:26:31 +0100

ipsvd (1.0.0-7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Add build-arch/build-indep targets.
  * Add Homepage and watch file.

  [ Mathieu Mirmont ]
  * Fix ftbfs with GCC-14.  (Closes: #1075094)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Aug 2024 07:13:15 +0200

ipsvd (1.0.0-6) unstable; urgency=medium

  * QA upload.
  * Re-import package history into GIT.
  * Make the build verbose.
  * Do not omit the hardening flags.  (Closes: #1024283, #1069448)
  * Fix building with -Werror=implicit-function-declaration.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 19:32:53 +0200

ipsvd (1.0.0-5) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format. (Closes: #1007382)

 -- Bastian Germann <bage@debian.org>  Fri, 02 Dec 2022 00:30:44 +0100

ipsvd (1.0.0-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #947699)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 07:56:01 -0300

ipsvd (1.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patches by myself and Valerie R. Young to make the build
    reproducible. (Closes: #777417, #846890)

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Sep 2017 09:53:28 +0100

ipsvd (1.0.0-3) unstable; urgency=low

  * debian/rules: no longer install the sslsvd, sslio programs and man
    pages, as matrixssl is orphaned (closes: #751500).
  * debian/control: no longer Build-Depends: libmatrixssl1.8-dev.
  * debian/diff/0001-Makefile-build-ssl-programs-with-...diff: remove;
    obsolete.
  * debian/ipsvd.NEWS.Debian: new; sslsvd and sslio programs are no
    longer included.

 -- Gerrit Pape <pape@smarden.org>  Sat, 26 Jul 2014 06:57:45 +0000

ipsvd (1.0.0-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.2.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 20 Oct 2011 12:32:14 +0000

ipsvd (1.0.0-1) unstable; urgency=low

  * new upstream release.
  * debian/control: Standards-Version: 3.8.0.1.
  * debian/implicit: update to revision a09db2e.
  * debian/copyright: 2008.

 -- Gerrit Pape <pape@smarden.org>  Sun, 15 Jun 2008 20:38:05 +0000

ipsvd (0.14.0-2) unstable; urgency=low

  * debian/control: Suggests: runit instead of Recommends:.
  * debian/control: add Vcs-Git: http://smarden.org/git/ipsvd.git/.

 -- Gerrit Pape <pape@smarden.org>  Fri, 15 Feb 2008 01:34:07 +0000

ipsvd (0.14.0-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: switch from tarball-in-tarball to original upstream
    tarball.
  * debian/diff/matrixssl-shared.diff: redo with git as
    debian/diff/0001-Makefile-build-ssl-programs-with-shared-matrixssl-l.diff.
  * debian/rules: new target patch: apply patches from debian/diff/;
    reverse apply in target clean:.
  * debian/control: Standards-Version: 3.7.3.0.

 -- Gerrit Pape <pape@smarden.org>  Sat, 19 Jan 2008 11:29:54 +0000

ipsvd (0.13.0-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl1.8-dev (closes: #434254).
  * debian/control: Standards-Version: 3.7.2.2.

 -- Gerrit Pape <pape@smarden.org>  Sun, 26 Aug 2007 13:55:31 +0000

ipsvd (0.12.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Feb 2006 18:41:07 +0000

ipsvd (0.12.0-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/matrixssl-shared.diff: new; upstream Makefile builds ssl*
    programs with shared matrixssl library.
  * debian/rules: ssl* programs now build from (patched) upstream Makefile.
  * debian/control: minor update to long description.

 -- Gerrit Pape <pape@smarden.org>  Sat,  4 Feb 2006 09:23:00 +0000

ipsvd (0.11.1-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl1.7-dev (closes: #333905).
  * debian/diff/sslio.check.diff: remove; applied upstream.
  * debian/rules: don't apply diff.
  * debian/control: Standards-Version: 3.6.2.1.

 -- Gerrit Pape <pape@smarden.org>  Tue, 18 Oct 2005 19:05:37 +0000

ipsvd (0.11.0-2) unstable; urgency=low

  * debian/diff/sslio.check.diff: new; tweak sslio program check (fixes
    testing failure on m68k).
  * debian/rules: target unpack: apply diff.

 -- Gerrit Pape <pape@smarden.org>  Mon, 21 Feb 2005 19:30:18 +0000

ipsvd (0.11.0-1) unstable; urgency=low

  * new upstream version.
    * fix typo in tcpsvd.8 (thx Bastian Kleineidam, closes: 293363).
  * debian/rules: check sslio program.

 -- Gerrit Pape <pape@smarden.org>  Sun, 20 Feb 2005 16:13:53 +0000

ipsvd (0.10.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 17 Jan 2005 10:03:45 +0000

ipsvd (0.10.0-1) unstable; urgency=low

  * new upstream version.
  * debian/copyright: adapt, 2005.


