=== debian/control ===
Source: ipsvd
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Rules-Requires-Root: no
Standards-Version: 3.9.2.0
Homepage: https://smarden.org/ipsvd/
Vcs-Browser: https://salsa.debian.org/debian/ipsvd
Vcs-Git: https://salsa.debian.org/debian/ipsvd.git

Package: ipsvd
Architecture: any
Depends: ${shlibs:Depends}
Suggests: runit
Description: Internet protocol service daemons
 ipsvd is a set of Internet protocol service daemons for TCP/IP (optionally
 SSLv3) and UDP/IP.  A daemon waits for incoming connections on a socket;
 for new connections, it conditionally runs an arbitrary program to handle
 the connection.  The daemons can be told to read and follow pre-defined
 instructions on how to handle incoming connections; based on the client's
 IP address or hostname, they can run different programs, set a different
 environment, deny a connection, or set a per host concurrency limit.
 .
 ipsvd can be used to run services usually run by inetd or tcpserver.
 Normally the daemons are run by a supervisor process, such as runsv from
 the runit package.
