=== debian/watch ===
version=4

https://smarden.org/ipsvd/install .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
